## com.puppycrawl.tools.checkstyle.api
Interface Context

All Known Implementing Classes:
  DefaultContext

public interface Context

A context to be used in subcomponents. The general idea of Context/Contextualizable was taken from Jakarta's Avalon framework.

Author:
  lkuehne
See Also:
  `Contextualizable`

Method Summary
`Object` `get(String aKey)` Searches for the value with the specified attribute key in this context.
`String[]` `getAttributeNames()` Returns the names of all atttributes of this context.

Method Detail

### get

    public Object get(String aKey)

  Searches for the value with the specified attribute key in this context.

  Parameters:
    `aKey` - the attribute key.
  Returns:
    the value in this context with the specified attribute key value.

### getAttributeNames

    public String[] getAttributeNames()

  Returns the names of all atttributes of this context.

  Returns:
    the names of all atttributes of this context.

Back to the Checkstyle Home Page